## visad
Interface MessageListener

All Known Subinterfaces:
  DisplayMonitor, RemoteDisplayMonitor

All Known Implementing Classes:
  BasicSSCell, DisplayMonitorImpl, RemoteDisplayMonitorImpl

public interface MessageListener

Interface for objects which wish to receive VisAD messages.

Method Summary
`void` `receiveMessage(MessageEvent msg)` Receive a general VisAD message broadcast via `DisplayImpl.sendMessage()`

Method Detail

### receiveMessage

    public void receiveMessage(MessageEvent msg)
                        throws RemoteException

  Receive a general VisAD message broadcast via `DisplayImpl.sendMessage()`

  Parameters:
    `msg` - The message
  Throws:
    `RemoteException`